Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQCommonStyle Class Reference

The TQCommonStyle class encapsulates the common Look and Feel of a GUI. More...

`#include <ntqcommonstyle.h>`

Inherits TQStyle.

Inherited by TQMotifStyle and TQWindowsStyle.

List of all member functions.

## Public Members

- TQCommonStyle ()

## Detailed Description

The TQCommonStyle class encapsulates the common Look and Feel of a GUI.

This abstract class implements some of the widget's look and feel that is common to all GUI styles provided and shipped as part of TQt.

All the functions are documented in TQStyle.

See also Widget Appearance and Style.

## Member Function Documentation

### TQCommonStyle::TQCommonStyle ()

Constructs a TQCommonStyle.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.